ORA-904/PLS-371 after upgrade to 10g or 11g (Doc ID 1072287.1)

Last updated on APRIL 28, 2010

Applies to:

PL/SQL - Version: 10.1.0.2 and later   [Release: 10.1 and later ]
Information in this document applies to any platform.

Symptoms


Compilation of existing PL/SQL code results in the following compilation errors after upgrade to 10g:

32/13 PL/SQL: SQL Statement ignored
36/39 PL/SQL: ORA-00904: "MY_PACKAGE"."MY_VARIABLE": invalid identifier
36/39 PLS-00371: at most one declaration for 'MY_PACKAGE.MY_VARIABLE' is permitted


Changes


No changes other than the version of the database

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms